Subject: bug#58329: 29.0.50; [PATCH] Pass correct environment name to `reftex-label'

From: Arash Esbati <[email-masked]>
Date: Thu, 06 Oct 2022 10:59:28 +0200

Hi all,

I'd like to install this small change in tex-mode.el:

--8<---------------cut here---------------start------------->8---
diff --git a/lisp/textmodes/tex-mode.el b/lisp/textmodes/tex-mode.el
index 6dc2865dd9..bb8ea0d942 100644
--- a/lisp/textmodes/tex-mode.el
+++ b/lisp/textmodes/tex-mode.el
@@ -1557,7 +1557,7 @@ latex-block-body-alist
      '(if (and (boundp 'reftex-mode) reftex-mode) (reftex-label "table"))
      \n _)
     ("figure" nil  > _ \n "\\caption{" > (skeleton-read "Caption: ") "}" > \n
-     '(if (and (boundp 'reftex-mode) reftex-mode) (reftex-label "table"))))
+     '(if (and (boundp 'reftex-mode) reftex-mode) (reftex-label "figure"))))
   "Skeleton element to use for the body of particular environments.
 Every element of the list has the form (NAME . SKEL-ELEM) where NAME is
 the name of the environment and SKEL-ELEM is an element to use in
--8<---------------cut here---------------end--------------->8---

I'm asking because tex-mode isn't my home turf.

Best, Arash